Mailinglist Archive: opensuse-updates (120 mails)

< Previous Next >
openSUSE-SU-2013:1648-1: moderate: update for python-pyOpenSSL
openSUSE Security Update: update for python-pyOpenSSL
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1648-1
Rating: moderate
References: #839107
Cross-References: CVE-2013-4314
Affected Products:
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

update to 0.13.1 fixes the following security issue: NUL
byte handling in subjectAltName (bnc#839107, CVE-2013-4314)
CVE-2013-4314


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-822

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-822

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

python-pyOpenSSL-0.13.1-3.4.1
python-pyOpenSSL-debuginfo-0.13.1-3.4.1
python-pyOpenSSL-debugsource-0.13.1-3.4.1
python-pyOpenSSL-doc-0.13.1-3.4.1

- openSUSE 12.2 (i586 x86_64):

python-pyOpenSSL-0.12-7.4.1
python-pyOpenSSL-debuginfo-0.12-7.4.1
python-pyOpenSSL-debugsource-0.12-7.4.1
python-pyOpenSSL-doc-0.12-7.4.1


References:

http://support.novell.com/security/cve/CVE-2013-4314.html
https://bugzilla.novell.com/839107


< Previous Next >
This Thread
  • No further messages